> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.useroot.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.useroot.com/_mcp/server.

# List webhook configurations

GET https://api.useroot.com/api/webhooks

Lists all webhook configurations for the entity.

Reference: https://docs.useroot.com/api-reference/webhooks-api/list-webhooks

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: '[Code Generated] Root - Instant Account to Account Money Movement'
  version: 1.0.0
paths:
  /api/webhooks:
    get:
      operationId: list-webhooks
      summary: List webhook configurations
      description: Lists all webhook configurations for the entity.
      tags:
        - webhooksApi
      parameters:
        - name: cursor
          in: query
          description: >-
            Cursor for pagination. Use the next_cursor from the previous
            response to get the next page.
          required: false
          schema:
            type:
              - string
              - 'null'
        - name: limit
          in: query
          description: Number of items per page.
          required: false
          schema:
            type: integer
            default: 50
        - name: x-api-key
          in: header
          description: >-
            RootPay API key sent in the x-api-key header. Keys are
            environment-scoped: live_* for production, test_* for sandbox.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: List of webhook configurations retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_WebhookConfigResponse_'
servers:
  - url: https://api.useroot.com
    description: Production
components:
  schemas:
    WebhookConfigResponse:
      type: object
      properties:
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        id:
          type: string
          format: uuid
        url:
          type: string
        description:
          type:
            - string
            - 'null'
        is_active:
          type: boolean
        event_types:
          type: array
          items:
            type: string
          description: Sorted allowlist of subscribed webhook event types
      required:
        - created_at
        - updated_at
        - id
        - url
        - description
        - is_active
        - event_types
      title: WebhookConfigResponse
    PaginatedResponse_WebhookConfigResponse_:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/WebhookConfigResponse'
        has_more:
          type: boolean
        total_count:
          type:
            - integer
            - 'null'
          default: 0
        next_cursor:
          type:
            - string
            - 'null'
        previous_cursor:
          type:
            - string
            - 'null'
      required:
        - data
        - has_more
      title: PaginatedResponse_WebhookConfigResponse_
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        RootPay API key sent in the x-api-key header. Keys are
        environment-scoped: live_* for production, test_* for sandbox.

```

## Examples



**Response**

```json
{
  "data": [
    {
      "created_at": "2024-03-20T12:00:00Z",
      "updated_at": "2024-03-20T12:00:00Z",
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "url": "https://example.com/webhook",
      "description": "Payment notifications webhook",
      "is_active": true,
      "event_types": [
        "payin.failed",
        "payin.settled",
        "payout.debited",
        "payout.failed",
        "payout.settled",
        "subaccount.credit_received"
      ]
    },
    {
      "created_at": "2024-03-20T12:00:00Z",
      "updated_at": "2024-03-20T12:00:00Z",
      "id": "123e4567-e89b-12d3-a456-426614174001",
      "url": "https://example.com/webhook",
      "description": "Inactive webhook endpoint",
      "is_active": false,
      "event_types": [
        "payin.failed",
        "payin.settled",
        "payout.debited",
        "payout.failed",
        "payout.settled",
        "subaccount.credit_received"
      ]
    }
  ],
  "has_more": false,
  "total_count": 2
}
```

**SDK Code**

```python List of webhook configurations
import requests

url = "https://api.useroot.com/api/webhooks"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript List of webhook configurations
const url = 'https://api.useroot.com/api/webhooks';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go List of webhook configurations
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.useroot.com/api/webhooks"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby List of webhook configurations
require 'uri'
require 'net/http'

url = URI("https://api.useroot.com/api/webhooks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java List of webhook configurations
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.useroot.com/api/webhooks")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php List of webhook configurations
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.useroot.com/api/webhooks', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp List of webhook configurations
using RestSharp;

var client = new RestClient("https://api.useroot.com/api/webhooks");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift List of webhook configurations
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.useroot.com/api/webhooks")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```